function testGateKeeperPodCount() {
    local podCount expectedGatekeeperPodCount replicaCount validTestRailIds requestedTestRailIds podCount

    expectedGatekeeperPodCount=$1
    requestedTestRailIds=$2
    validTestRailIds=("1621322" "1621323" "1663795" "1663799")

    for validTestRailId in "${validTestRailIds[@]}"; do
        if [[ "${requestedTestRailIds}" =~ "${validTestRailId}" ]]; then
            result="false";
            replicaCount=$(fetchReplicaCount deploy cattle-gatekeeper-system gatekeeper-controller-manager)
            if [[ -z $replicaCount && -z $expectedGatekeeperPodCount ]]; then
                result="true"
                appendOutput "${validTestRailId}" "${result}"
                return
            fi
            podCount=$(kubectl -n cattle-gatekeeper-system get pods --field-selector=status.phase=Running --selector=app=rancher-gatekeeper --selector=control-plane=controller-manager --output json | jq -j ".items | length")
            if [[ ${podCount} -ge ${expectedGatekeeperPodCount} && ${podCount} -le ${replicaCount} ]]; then
                result="true"
            fi
            appendOutput "${validTestRailId}" "${result}"
        fi
    done
}

function setGatekeeperValidationParam() {
    local validationStage
    validationStage=$1
    case "$validationStage" in
    3nodeup)
        expectedGatekeeperPodCount=2
        testRailIds="1621322"
        ;;
    rebootAllServers)
        expectedGatekeeperPodCount=2
        testRailIds="1621323"
        ;;
    2nodeup)
        expectedGatekeeperPodCount=2
        testRailIds="1663795"
        ;;
    1nodeup|0nodeup)
        expectedGatekeeperPodCount=""
        testRailIds="1663799"
        ;;
    *)
        echo "Unexpected option ${validationStage} passed to ${FUNCNAME[0]}"
        exit 1
        ;;
    esac
}

function executeGatekeeperTest() {
    setGatekeeperValidationParam "${VALIDATE_STAGE}"
    testGateKeeperPodCount "${expectedGatekeeperPodCount}" "${testRailIds}"
}