#!/bin/bash

SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)

if [[ -z "${SCRIPT_DIR}" ]]; then
    echo "Script dir not present"
    exit 1
fi

#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/utils.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/rabbitmq-ha-test.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/rook-ceph-ha-test.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/argocd-ha-test.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/istio-ha-test.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/monitoring-ha-test.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/rancher-server-ha-test.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/gatekeeper-ha-test.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/cert-manager-ha-test.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/test_node_down_alert.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/test_rabbitmq_down_alert.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/test_container_stuck_in_waiting.sh"

export KUBECONFIG=/etc/rancher/rke2/rke2.yaml PATH=$PATH:/var/lib/rancher/rke2/bin

function main() {
    executeRabbitMQTest
    executeRookCephTest
    executeArgocdTest
    executeIstioTest
    executeMonitoringTest
    executeRancherServerTest
    executeGatekeeperTest
    executeCertManagerTest
    executeNodeDownTest
    executeRabbitmqDownTest
    executeContainerWaitingAlert
}

parse_args "$@"
main