#!/bin/bash

SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)

if [[ -z "${SCRIPT_DIR}" ]]; then
    echo "Script dir not present"
    exit 1
fi

#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/utils.sh"

export KUBECONFIG=/etc/rancher/rke2/rke2.yaml PATH=$PATH:/var/lib/rancher/rke2/bin

function test_AlertFiredOnCronJobSuspension() {
  kubectl -n uipath-infra patch cronjob istio-configure-script-cronjob -p "{\"spec\" : {\"suspend\" : true }}"
  
  #shellcheck disable=SC2015
  [[ "$(is_alert_fired "CronJobSuspended" "istio-configure-script-cronjob" ".labels.cronjob")" == "true" ]] && appendOutput "1664788" "true" || appendOutput "1664788" "false"
}

